Subject: Re: bug#41544: 26.3; Possible incorrect results from color-distance

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 19 Aug 2020 13:34:23 +0200

Mattias Engdegård <[email-masked]> writes:

> Technically yes, but is there is a reason for users to adjust this
> particular behaviour? Users dissatisfied with the outcome of the
> existing algorithms typically curse and set colours explicitly (or
> suffer in silence); they are unlikely to set a 'use different
> algorithm' variable.

Well, adding this variable would allow us to experiment with defaulting
it to `new-style' during Emacs 28 and see whether there's any immediate
fallout, and allow switching between the two to see what the effect is
(on various systems).

As Eli points out, these things can be finicky.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no